
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>获取信息的有关Windows API / iVAN</title>

    <meta name="description" content="获取信息的有关Windows API 1.窗口信息 MS为我们提供了打开特定桌面和枚举桌面窗口的函数. hDesk = OpenDesktop(lpszDesktop, 0, FALSE, DESKTOP_ENUMERATE); // 打开我们默认的Default桌面; EnumDesktopWindows(hDesk,(WNDENUMPROC)EnumWindowProc, 0); // 枚举打开桌面上的所有窗口,由回调函数实现. BOOL __stdcall EnumWindowProc(HWND, LPARAM); // 在回">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">获取信息的有关Windows API</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>1.窗口信息</p>
<p>MS为我们提供了打开特定桌面和枚举桌面窗口的函数。</p>
<p>hDesk = OpenDesktop(lpszDesktop, 0, FALSE, DESKTOP_ENUMERATE);</p>
<p>// 打开我们默认的Default桌面;</p>
<p>EnumDesktopWindows(hDesk,(WNDENUMPROC)EnumWindowProc, 0);</p>
<p>// 枚举打开桌面上的所有窗口，由回调函数实现。</p>
<p>BOOL __stdcall EnumWindowProc(HWND, LPARAM);</p>
<p>// 在回调函数中，我们可以获得窗口的标题和相关进程，线程信息;</p>
<p>GetWindowText(hWnd, szWindowText, dwMaxCount);</p>
<p>GetWindowThreadProcessId(hWnd, &amp;dwPID);</p>
<p>2.设备驱动器信息(服务和设备驱动器差不多，在此不做重复)</p>
<p>设备驱动信息有服务控制管理器(SCM)来管理的，我要打开服务控制管理器，并枚举所有的设备驱动器。</p>
<p>OpenSCManager(NULL, NULL, SC_MANAGER_ALL_ACCESS);</p>
<p>// 以所有权限打开服务控制管理器;</p>
<p>EnumServicesStatus(schManager, dwDeviceType, dwDeviceState,</p>
<p>EnumStatus, dwBufSize, &amp;dwBytesNeeded, &amp;dwDevicesReturned, &amp;dwResumeHandle))</p>
<p>// 枚举所有设备的当前状态;</p>
<p>CloseServiceHandle(schManager);</p>
<p>// 记住，在结束访问后要关闭服务句柄;</p>
<p>OpenService(schManager, szDeviceName, SERVICE_ALL_ACCESS);</p>
<p>// 打开特定的设备驱动器;</p>
<p>QueryServiceConfig(schDevice, lpDeviceConfig, 1024 * 8, &amp;dwBytesNeeded);</p>
<p>// 查询驱动器的服务配置信息;</p>
<p>QueryServiceStatus(schDevice, &amp;DeviceStatus);</p>
<p>// 查询设备驱动器的当前状态;</p>
<p>QueryServiceConfig2(schDevice, SERVICE_CONFIG_DESCRIPTION, (LPBYTE)lpDeviceDescription, 8*1024, &amp;dwBytesNeeded)</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 18:27:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%aa%97%e5%8f%a3/" title="窗口">窗口</a>, <a href="https://www.iamivan.net/tag/%e6%a1%8c%e9%9d%a2/" title="桌面">桌面</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.iamivan.net/tag/%e8%ae%be%e5%a4%87/" title="设备">设备</a>, <a href="https://www.iamivan.net/tag/%e4%bf%a1%e6%81%af/" title="信息">信息</a>, <a href="https://www.iamivan.net/tag/%e9%a9%b1%e5%8a%a8%e5%99%a8/" title="驱动器">驱动器</a>, <a href="https://www.iamivan.net/tag/%e6%9e%9a%e4%b8%be%e7%aa%97%e5%8f%a3%e5%8f%a5%e6%9f%84/" title="枚举窗口句柄">枚举窗口句柄</a>, <a href="https://www.iamivan.net/tag/openservice/" title="OpenService">OpenService</a>, <a href="https://www.iamivan.net/tag/opendesktop/" title="OpenDesktop">OpenDesktop</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>获取信息的有关Windows API的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEJVvM.html" rel="bookmark">windows api 通过句柄获取控件在窗口的坐标问题？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 windows api 通过句柄获取控件在窗口的坐标问题? NativeRECT sRECT = new NativeRECT(); //get 屏幕 RECT GetWindowRect(hWnd, out sRECT); 问题1:该方法有时获去到的值是负数 ? 求解答? ScreenToClient(hWnd, ref xx); 问题2:该方法获取到的值 一直是0 //结构体布局 本机位置 [StructLayout(LayoutKind.Sequential)] public s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZg2Nab.html" rel="bookmark">java windows api-通过Windows API获取不到java程序的子窗体和界面控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 通过Windows API获取不到java程序的子窗体和界面控件 有一个java写的桌面应用程序,我想用C#自动控制这个程序. 我在C#中用Windows API的FindWindow可以找到它的主窗体句柄,但是用FindWindowEx和EnumChildWindows无法找到它的子窗体和控件. 解决方案 java写的程序就不要指望了,swing之类的库,界面都是画上去的,不是windows窗口. 解决方案二: 1.确定控件(子窗口)存在,如果是画上去的没有子窗口. 2.用spy++			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5Z6Dmz.html" rel="bookmark">WINDOWS API怎么获取到打印机是脱机状态呢&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 WINDOWS API怎么获取到打印机是脱机状态呢? 当电脑上安装了某打印机,之后拔掉连接线之后,设备与打印机中那台打印机显示脱机, 并且变成灰色,可是用WINDOWS API,c++,要怎么知道呢? 解决方案 调用EnumPrinters 传递 PRINTER_INFO_2 检查 PRINTER_STATUS_OFFLINE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8Adw9z.html" rel="bookmark">c&plus;&plus;-获取组里面成员的描述信息，用哪个api</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 获取组里面成员的描述信息,用哪个api netlocalgroupinfo不能过去描述信息,只能获取成员!求帮忙啊!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQN7vWM.html" rel="bookmark">Windows API 函数列表 附帮助手册</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Windows API 函数列表 附帮助手册 所有Windows API函数列表,为了方便查询,也为了大家查找,所以整理一下贡献出来了.   帮助手册:700多个Windows API的函数手册 免费下载   API之网络函数 API之消息函数 API之文件处理函数 API之打印函数 API之文本和字体函数 API之菜单函数 API之位图.图标和光栅运算函数 API之绘图函数 API之设备场景函数 API之硬件与系统函数 API之进程和线程函数 API之控件与消息函数     1. API			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQronOM.html" rel="bookmark">教你如何使用分组密码对shellcode中的windows api字符串进行加密</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是教你如何使用分组密码对shellcode中的windows api字符串进行加密, 介绍 字符串/模式匹配算法是当前最流行和最简单的检测shellcode方法.原理很简单:所有代码都有其独特的特征,可以根据这种特征去在内存中验证.即使没有事先分析shellcode,我们也可以得到一些有用的变量,或者至少看起来它是一串可疑代码,需要进一步分析. 我提到的有用变量是指API字符串以及hash值,它们已经在检测恶意代码历史上使用了20多年.如果想要绕过这种检测方法,编写shelcode过程中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NQj4b.html" rel="bookmark">Windows API函数大全&lpar;完整&rpar;&lowbar;其它相关</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. API之网络函数 WNetAddConnection 创建同一个网络资源的永久性连接 WNetAddConnection2 创建同一个网络资源的连接 WNetAddConnection3 创建同一个网络资源的连接 WNetCancelConnection 结束一个网络连接 WNetCancelConnection2 结束一个网络连接 WNetCloseEnum 结束一次枚举操作 WNetConnectionDialog 启动一个标准对话框,以便建立同网络资源的连接 WNetDisconne			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7wqkrz.html" rel="bookmark">C&num; Windows API应用之基于GetDesktopWindow获得桌面所有窗口句柄的方法&lowbar;C&num;教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了C# Windows API应用之基于GetDesktopWindow获得桌面所有窗口句柄的方法.分享给大家供大家参考,具体如下: Windows API Windows 这个多作业系统除了协调应用程序的执行.分配内存.管理资源-之外, 它同时也是一个很大的服务中心,调用这个服务中心的各种服务(每一种服务就是一个函数),可以帮应用程式达到开启视窗.描绘图形.使用周边设备等目的,由于这些函数服务的对象是应用程序(Application), 所以便称之为 Application Pro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/gpk7rEp.html" rel="bookmark">微博 分享 api-新浪微博分享成功后获取信息</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 新浪微博分享成功后获取信息 新浪api 如何在本网站上实现分享新浪微博成功后,并给本网站的用户增加一定的奖励,比如说积分(不是新浪积分,是本网站积分)等其他操作. 解决方案 同问,找了好几天分享成功后是否有回调.得出的结论是没有的,你找到这个接口没有?			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyOGdz.html" rel="bookmark" class="title">电子商务网站的目标定位和运营措施</a>
					<div>
						电子商务网站的定位很重要.如果模式是现在热门路线,那么肯定会受到阿里巴巴.慧聪.时代第一.环球资源.敦煌网等一批著名的网站狙击,而处于一个半死不活的状态.为什么不会死? 现在的企业很重视网络营销,不管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boG6vb.html" rel="bookmark" class="title">Photoshop钢笔工具给美女照片添加炫光特效</a>
					<div>
						本教程介绍如何利用一些光束素材来装饰人物.效果虽然复杂,不过方法却非常简单,我们先选好光束素材以后,按照人物动作方向安排素材,如教程中人物抬起的手臂方向等.光束素材需要跟人完美的结合起来,局部需要用色 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRjXeM.html" rel="bookmark" class="title">Flash Player 8安全设置窗巧去除</a>
					<div>
						安全 Flash Player 8 最让人郁闷的就是那个新的安全机制.所有访问网络资源的程序如果通过在桌面上双击swf来运行,都会无一幸免的弹出这个对话框.     实际上新的安全机制没有错,错就错在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnWAOz.html" rel="bookmark" class="title">把用户体验作为网站优化的第一标准</a>
					<div>
						现在很多人都在探讨或者揭秘搜索引擎的算法和排名规则,大量的SEO从业者也都想从某个地方或者手段来猜测搜索引擎的排名规则,其实,我们完全不必去做这些无谓的猜测,只需要把自己的SEO优化工作做好,制作网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Vzw2Qdp.html" rel="bookmark" class="title">正确对待并且深入理解外链相关性的重要</a>
					<div>
						我一直都非常重视外链对SEO的重要性,当然,在很多的SEO团队中,这种重视外链的程度在团队成员数量上也可以得到证实.我接触过一位SEO的业内前辈,也有幸到他的网络公司去参观学习,他的SEO团队共有60 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPrq0z.html" rel="bookmark" class="title">视频点播及流媒体问题全接触</a>
					<div>
						目前,随着视频点播.在线电视.远程教育等网络服务的大规范开展,使得流媒体的应用越来越广泛了,但网友们由此所遇到的问题也非常繁多,不一而足. 问:我在使用 Media Player Classic 播放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx4rAb.html" rel="bookmark" class="title">免费网络电话redvip任何电话想打就打</a>
					<div>
						在网络上搜索&quot;免费的网络电话&quot;,出来结果一大堆,但是找了N个来测试都不理想.不过功夫不负有心人,最后终于给我找到了一个,它的名字叫&quot;redvip&quot;,其官方主页是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA3Olb.html" rel="bookmark" class="title">Datatbel和string之间的相互转换</a>
					<div>
						今天在做一个需求的时候,需要将datatable转化string,下面是二者之间的一个可逆转换 Datatable 到 string public static string DataTableToS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlR7ZRz.html" rel="bookmark" class="title">word2013中怎么设置文字间距</a>
					<div>
						  步骤一:鼠标左键双击计算机桌面Word2013程序图标,将其打开运行.在打开的Word2013程序窗口,点击&quot;打开其他文档&quot;,在文件存放的路径将Word文件打开.如图所示; 步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7daXb.html" rel="bookmark" class="title">设计师不应该错过的响应式设计框架</a>
					<div>
						  当下最火热的框架就是Bootstrap和 Foundation了. 随着响应式设计框架越来越火,一个巨大的争议出现了:为什么一个专业的设计师还需要用这些框架呢? 许多人宣称响应式框架是可怕的,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywXrPz.html" rel="bookmark" class="title">图片文字是什么体</a>
					<div>
						  而前两天终于得知一个方法可以解决此问题的方法,那就是利用知名的字体网站myFonts提供的What The Font功能,但该方法有个缺点,那就是仅限于查找英文字体.我用以下这张Twitter的L ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywXZvz.html" rel="bookmark" class="title">电脑硬盘RAW格式无法访问的两种解决办法</a>
					<div>
						  电脑是我们日常经常使用的工具,但是他经常出现这样或者那样的问题,硬盘问题是我们经常遇到的,硬盘分区盘符访问不了了,文件系统显示RAW,不是NTFS,已用空间,可用空间和容量信息均为0字节,双击显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNJkrM.html" rel="bookmark" class="title">&lbrack;HTTP&rsqb;HTTP协议的状态码</a>
					<div>
						对于Web编程人员来说,熟悉了解HTTP协议的状态码是很有必要的,很多时侯可能根据HTTP协议的状态码很快就能定位到错误信息!今天整理了一下所有HTTP状态码. HTTP状态码(HTTP Status ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oBBab.html" rel="bookmark" class="title">NYOJ308-Substring</a>
					<div>
						Substring 时间限制:1000 ms  |  内存限制:65535 KB 难度:1 描述 You are given a string input. You are to find the l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqArqeM.html" rel="bookmark" class="title">Bitcoin 0&period;5&period;0发布 基于网络的匿名数字货币</a>
					<div>
						Bitcoin 0.5.0此版本修复了在0.4.0版本中破损的wallet.dat加密实现,增加了一个新的基于Qt的图形界面,增加了新的RPC命令getmemorypool,listsincebloc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Y03kM.html" rel="bookmark" class="title">通过ADB向android SD卡传送文件</a>
					<div>
						1. 创建SD卡并挂载到模拟器 运 行cmd,并cd至android-sdk\tools\目录下.输入如下命令则可创建并挂载SD卡到模拟器上.mksdcard的参数中SD卡的大小单 位可以为K或者M( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7LOxp.html" rel="bookmark" class="title">&lbrack;linux&rsqb;写的一个服务器数据过滤HTML脚本</a>
					<div>
						此脚本过滤统计后台数据并显示为HTML格式 # !/bin/sh ls -l /home/work/tools/tomcat-splitter/data/ROOT/$1 | grep $2 |sort ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamZn2b.html" rel="bookmark" class="title">php-我有一个ecshop商城模板，请问如何解析然后自己修改</a>
					<div>
						问题描述 我有一个ecshop商城模板,请问如何解析然后自己修改 2C 如何修改php文件局部修改,关键是如何把php解析出来,然后直接用Dreamweaver修改 解决方案 最好找个会php的人给你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAG4kM.html" rel="bookmark" class="title">学习React入门最好的实例－TodoList</a>
					<div>
						前言 React 的核心思想是:封装组件,各个组件维护自己的状态和 UI,当状态变更,自动重新渲染整个组件. 最近前端界闹的沸沸扬扬的技术当属react了,加上项目需要等等原因,自己也决定花些时间来好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvred5M.html" rel="bookmark" class="title">关于iis配置自定义错误页！</a>
					<div>
						问题描述 这个是在iis里面设置的.我在vs里面的customErrors节点中也配置了自己的错误页,但是无论在配置,老是跳转 解决方案 解决方案二:求帮助....来人啊...解决方案三:错误信息看不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1Z2Jz.html" rel="bookmark" class="title">webservice问题-webservice服务器端捕获异常</a>
					<div>
						问题描述 webservice服务器端捕获异常 我webservice接口开发完了以后 测试人员在浏览器地址栏访问的时候 如果他请求地址写错了 我在哪捕获异常 然后返回给测试提示地址错误信息 而不是抛 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RPjob.html" rel="bookmark" class="title">android apk执行shell脚本</a>
					<div>
						修改AndroidManifest.xml文件,在其manifest节点中添加android:sharedUserId=&quot;android.uid.system&quot; ,表示apk和系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZOxBz.html" rel="bookmark" class="title">电商活动中刮刮卡的实现</a>
					<div>
						一.实现原理 Paint.setXferMode(); a.绘制我们的圆形 b.setXferMode(SrcIn) c.绘制矩形(正方形)图片 二.主要思想: 将一个view设计成多层:背景层,含中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm6VAb.html" rel="bookmark" class="title">Ireport&plus;struts2&plus;javabean数据源解决子报表问题</a>
					<div>
						问题描述 Ireport+struts2+javabean数据源解决子报表问题 Ireport+struts2+javabean做报表,用javabean做数据源报错,报错信息: net.sf.jas ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKPOLb.html" rel="bookmark" class="title">蓝牙技术新突破：瞄准物联网，连接140亿设备</a>
					<div>
						2015年,全球IoT领域快速成长.而中国各大知名品牌在IoT领域的业务部署和战略投资,显示出了对于智能家居市场的重视.为此,蓝牙技术联盟近日开放全部蓝牙网关架构,以助力开发者快速地为蓝牙产品增至蓝牙 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR5kmb.html" rel="bookmark" class="title">c&plus;&plus; 编程-C&plus;&plus; 如何创建多级目录</a>
					<div>
						问题描述 C++ 如何创建多级目录 求大神帮忙解决一下问题,C++怎么判断多级目录的存在,如何创建多级目录?SHCreateDirectoryEx函数怎么使用?谢谢!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBx7WM.html" rel="bookmark" class="title">登录远程桌面时遇到&OpenCurlyDoubleQuote;由于客户端检测到一个协议错误（代码0x1104）&rdquo;&lowbar;win服务器</a>
					<div>
						情况如图所示: 首先检查远程连接端口对不对?Windows远程默认的连接端口是3389,一般大家连接时直接输入IP或域名就可以连接了.如果还要加:端口号的话,就确定这个端口号对否? 本文适用范围 Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE4oZnz.html" rel="bookmark" class="title">领导沟通的五个陷阱</a>
					<div>
						对于沟通的错误认识多不胜数,把它们抛在脑后会让你成为更加出色的领导者. ■ 文/Gordon Adler Adler Way执行董事 译/许建树 沟通行家和领导力专家们告诉我们,有效的沟通比以往更加重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBGP5z.html" rel="bookmark" class="title">传Spotify首次宣布实现盈利</a>
					<div>
						摘要: 据国外媒体报道,数字音乐服务Spotify将在今年晚些时候发布它在2010年的营业报告,有预测说这将会是Spotify首次宣布实现盈利.一种可以阻止数百万美元音乐盗版损失的商业模式正在逐 据国 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xgAab.html" rel="bookmark" class="title">hibernate4-求助大神，spring&period;springMvc&period;hibernate整合。并且全是注解</a>
					<div>
						问题描述 求助大神,spring.springMvc.hibernate整合.并且全是注解 实在找不到教程,望能提供和完整的教程,视频最好 解决方案 给你了你就跑了不采纳怎么办?所以如果需要教程,请先 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
